Distribution:   CCux
Packager:	Stefan Gottwald <gotti@ccux-linux.de>

Summary:	framework for parsing Pod
Name:		perl-Pod-Simple
Version:	3.02
Release:	3
License:	GNU/GPL 
URL:		http://search.cpan.org/~sburke/Pod-Simple
Group:		Development/Perl
Source0:	Pod-Simple-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-buildroot

%define		perlepoch	3
%define		perlversion	5.8.8

Requires:	perl = %{perlepoch}:%{perlversion}
BuildRequires:	perl = %{perlepoch}:%{perlversion}

%description
framework for parsing Pod
For more details see: http://search.cpan.org/~sburke/Pod-Simple

%post
ldconfig

%postun
ldconfig

%prep
%setup -n Pod-Simple-%{version}

%build
perl Makefile.PL /usr
make

%install
rm -Rf $RPM_BUILD_ROOT 
make install DESTDIR=$RPM_BUILD_ROOT 
# removing unwanted stuff
if [ -f "$RPM_BUILD_ROOT%_libdir/perl5/%{perlversion}/i686-linux/perllocal.pod" ]; then
rm -f $RPM_BUILD_ROOT%_libdir/perl5/%{perlversion}/i686-linux/perllocal.pod
fi
# stripping package
find $RPM_BUILD_ROOT -type f -exec /usr/bin/strip --strip-debug '{}' ';' 

%files
%defattr(-,root,root)
%_libdir
%_mandir

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Wed May 17 2006 Christian Wasem <wasem@ccux-linux.de> 3.02-3
- Rebuild against perl-5.8.8
* Mon Dec 05 2005 Stefan Gottwald <gotti@ccux-linux.de> 3.02-2
- Rebuild against perl-5.8.7
* Fri Dec 02 2005 Stefan Gottwald <gotti@ccux-linux.de> 3.02-1
- Initial Release  
